Bug 168788 - WebAssembly: stop supporting 0xD
Summary: WebAssembly: stop supporting 0xD
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: JF Bastien
URL:
Keywords: InRadar
Depends on: 168672
Blocks: 159775
  Show dependency treegraph
 
Reported: 2017-02-23 11:02 PST by JF Bastien
Modified: 2019-05-02 16:19 PDT (History)
9 users (show)

See Also:


Attachments
patch (3.60 KB, patch)
2017-05-11 00:17 PDT, JF Bastien
sbarati: review+
sbarati: commit-queue-
Details | Formatted Diff | Diff
patch (3.52 KB, patch)
2017-05-11 00:26 PDT, JF Bastien
jfbastien: commit-queue+
Details | Formatted Diff | Diff
patch (3.51 KB, patch)
2017-05-11 00:27 PDT, JF Bastien
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description JF Bastien 2017-02-23 11:02:19 PST
As a temporary measure in bug #168672 I left support for 0xD in the decoder because not all the tooling and demos support it. Remove it at some point in time.
Comment 1 Radar WebKit Bug Importer 2017-04-27 22:16:10 PDT
<rdar://problem/31880922>
Comment 2 JF Bastien 2017-05-11 00:17:15 PDT
Created attachment 309696 [details]
patch
Comment 3 Saam Barati 2017-05-11 00:23:42 PDT
Comment on attachment 309696 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=309696&action=review

> Source/JavaScriptCore/wasm/WasmModuleParser.cpp:1
> +

Remove this please
Comment 4 JF Bastien 2017-05-11 00:26:04 PDT
Created attachment 309697 [details]
patch
Comment 5 JF Bastien 2017-05-11 00:26:29 PDT
(In reply to Saam Barati from comment #3)
> Comment on attachment 309696 [details]
> patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=309696&action=review
> 
> > Source/JavaScriptCore/wasm/WasmModuleParser.cpp:1
> > +
> 
> Remove this please

Oops how did I do that.
Comment 6 JF Bastien 2017-05-11 00:27:30 PDT
Created attachment 309698 [details]
patch

Fix oops.
Comment 7 WebKit Commit Bot 2017-05-11 00:56:36 PDT
Comment on attachment 309698 [details]
patch

Clearing flags on attachment: 309698

Committed r216672: <http://trac.webkit.org/changeset/216672>
Comment 8 WebKit Commit Bot 2017-05-11 00:56:38 PDT
All reviewed patches have been landed.  Closing bug.